MultiProductMultiStep Class Reference

Multiple-step market-model product. More...

`#include <ql/models/marketmodels/products/multiproductmultistep.hpp>`

Inheritance diagram for MultiProductMultiStep:
[legend]

## Public Member Functions

| MultiProductMultiStep (const std::vector< Time > &rateTimes)
Public Member Functions inherited from MarketModelMultiProduct
virtual std::vector< Time > | possibleCashFlowTimes () const =0
virtual Size | numberOfProducts () const =0
virtual Size | maxNumberOfCashFlowsPerProductPerStep () const =0
virtual void | reset ()=0
| during simulation put product at start of path
virtual bool | nextTimeStep (const CurveState &currentState, std::vector< Size > &numberCashFlowsThisStep, std::vector< std::vector< CashFlow > > &cashFlowsGenerated)=0
| return value indicates whether path is finished, TRUE means done
virtual std::auto_ptr< MarketModelMultiProduct > | clone () const =0
| returns a newly-allocated copy of itself

## MarketModelMultiProduct interface

std::vector< Time > | rateTimes_
EvolutionDescription | evolution_
std::vector< Size > | suggestedNumeraires () const
const EvolutionDescription & | evolution () const

## Detailed Description

Multiple-step market-model product.

This is the abstract base class that encapsulates the notion of a MarketModelMultiProduct which can be evaluated in a more than one step (aka Rebonato's long jump).